---
layout: mockup
title: "Web - Preferences - General"
theme: Adwaita/Adwaita.css
permalink: epiphany/preferences/general
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/epiphany.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar" title="Preferences">
		<div class="view-switcher hide-on-mobile">
			<a class="active"><div class="icon s16">{%- include symbolic/categories/applications-system-symbolic.svg -%}</div><span><b>General</b></span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/appearance"><div class="icon s16">{%- include symbolic/categories/applications-graphics-symbolic.svg -%}</div><span>Appearance</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/privacy"><div class="icon s16">{%- include symbolic/apps/preferences-system-privacy-symbolic.svg -%}</div><span>Privacy</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/language"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-locale-symbolic.svg -%}</div><span>Language</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/sync"><div class="icon s16">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</div><span>Sync</span></a>
		</div>
		<div class="float-right" style="margin-top: -46px;">{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<!-- Browsing -->
			<div class="row">
				<h4>Browsing</h4>
				<ul class="listrow">
					<li>
						<label>Smooth Scrolling</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
				</ul>
			</div>
			<!-- Downloads -->
			<div class="row">
				<h4>Downloads</h4>
				<ul class="listrow">
					<li>
						<label>Save Files To</label>
						<a class="button image-text-button flat float-right">{% include symbolic/places/folder-download-symbolic.svg %}Downloads</a>
					</li>
				</ul>
			</div>
			<!-- Homepage -->
			<div class="row">
				<h4>Homepage</h4>
				<ul class="listrow">
					<li onclick="$('#homepageOption1').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "homepageOption1" name = "homepageOptions" onclick = ""-%}
						<label>Most Visited</label>
					</li>
					<li onclick="$('#homepageOption2').prop('checked', true );$('#customHomepage').addClass('insensitive');">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "homepageOption2" name = "homepageOptions" onclick = "$('#customHomepage').addClass('insensitive');"-%}
						<label>Blank Page</label>
					</li>
					<li onclick="$('#homepageOption3').prop('checked', true );$('#customHomepage').removeClass('insensitive');">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "homepageOption3" name = "homepageOptions" onclick = "$('#customHomepage').removeClass('insensitive');" -%}
						<label>Custom</label>
						<input type="" name="" class="entry float-right insensitive" placeholder="example.com" id="customHomepage"></li>
					</li>
				</ul>
			</div>
			<!-- Search Engines -->
			<div class="row">
				<h4>Search Engines</h4>
				<ul class="listrow">
					<li onclick="$('#searchEngineOption1').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "searchEngineOption1" name = "searchEngineOptions" onclick = ""-%}
						<img class="icon s16" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/duckduckgo.png">
						<label>DuckDuckGo</label>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li onclick="$('#searchEngineOption2').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "searchEngineOption2" name = "searchEngineOptions" onclick = ""-%}
						<img class="icon s16" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/bing.png">
						<label>Bing</label>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li onclick="$('#searchEngineOption3').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "searchEngineOption3" name = "searchEngineOptions" onclick = "" -%}
						<img class="icon s16" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/google.png">
						<label>Google</label>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li id="hiddenBrowserEncoding" class="hidden" onclick="$('#searchEngineOption4').prop('checked', true );">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "searchEngineOption4" name = "searchEngineOptions" onclick = "" -%}
						<img class="icon s16" style="margin-right: 0;" src="{{ site.baseurl }}/img/third-party/startpage.png">
						<label>Startpage.com</label>
						<a class="button image-button circular float-right flat">{% include symbolic/categories/applications-system-symbolic.svg %}</a>
					</li>
					<li class="text-center" onclick="$('#hiddenBrowserEncoding').removeClass('hidden');">
						<label class="center">Add search engine&hellip;</label>
					</li>
				</ul>
			</div>
			<!-- Session -->
			<div class="row">
				<h4>Startup</h4>
				<ul class="listrow">
					<li>
						<label>Remember previous session</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li>
						<label>Check if Web is default browser</label>
						{%- include components/switch.html float = "right" checked = "" -%}
					</li>
					<li>
						<label>Start in Incognito Mode</label>
						{%- include components/switch.html float = "right" checked = "" -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Toolbar -->
	<div class="toolbar bottom show-on-mobile">
		<div class="view-switcher">
			<a class="active"><div class="icon s16">{%- include symbolic/categories/applications-system-symbolic.svg -%}</div><span><b>General</b></span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/appearance"><div class="icon s16">{%- include symbolic/categories/applications-graphics-symbolic.svg -%}</div><span>Appearance</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/privacy"><div class="icon s16">{%- include symbolic/apps/preferences-system-privacy-symbolic.svg -%}</div><span>Privacy</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/language"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-locale-symbolic.svg -%}</div><span>Language</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/sync"><div class="icon s16">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</div><span>Sync</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
</script>